Netgear GS748-100EUS 48-Port Gigabit unmanaged Rackmount Switch
|
-24% 336,03 EUR 441,74 EUR |
|
|
( 399,88 EUR incl. VAT ) ≈ £280.25 | ≈ $375.35 plus delivery charges: 55,00 € |
|
| Made to order · Expected to be available from 04.11.2026info_outline | |
| Datasheet: | file_download Download |
|---|---|
| Lieske Part No.: | 2212440 |
| Mfg Part No: | GS748-100EUS |
| UPC/EAN: | 0606449174892 |
| Weight: | 4.191 kg |
| Type: | PERP |
Product information for Netgear GS748-100EUS:
| Certificates | |
| Compliance certificates | Federal Communications Commission (FCC) |
| Data transmission | |
| MAC address table | 8000 entries |
| Maximum data transfer rate | 1 Gbit/s |
| Jumbo frames | 9.216 |
| Packet buffer memory | 1.5 MB |
| Jumbo frames support | |
| Design | |
| Product colour | Grey |
| Safety | CE mark, cUL IEC950/EN60950 |
| Rack mounting | |
| Management features | |
| Switch type | Unmanaged |
| MIB support | RFC 1213 MIB II, RFC 1643, RFC 1493 |
| Quality of Service (QoS) support | |
| Network | |
| Networking standards | IEEE 802.1p, IEEE 802.3az |
| Copper ethernet cabling technology | 10BASE-T |
| Ethernet LAN data rates | 1000 Mbit/s |
| Full duplex | |
| Flow control support | |
| Link aggregation | |
| Operational conditions | |
| Operating temperature (T-T) | 0 - 50 °C |
| Operating relative humidity (H-H) | 10 - 90% |
| Other features | |
| Latency | 2,900ns |
| Connectivity technology | Wired |
| I/O ports | 48 x 10/100/1000 Mbps 4 x SFP |
| Electromagnetic emissions | CE mark, FCC Part 15 Class A, VCCI Class A, C-Tick |
| Authentication method | 802.1x |
| Performance | |
| Mean time between failures (MTBF) | 1094297 h |
| Ports & interfaces | |
| Basic switching RJ-45 Ethernet ports quantity | 48 |
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
| Power | |
| Power source | AC |
| Power consumption (max) | 23 W |
| Power over Ethernet (PoE) | |
| Power over Ethernet (PoE) | |
| Weight & dimensions | |
| Width | 440 mm |
| Depth | 202 mm |
| Height | 43 mm |
| Weight | 3.2 kg |
Questions & answers
What is the delivery time of Netgear GS748-100EUS 48-Port Gigabit unmanaged Rackmount Switch ?
The article Netgear GS748-100EUS 48-Port Gigabit unmanaged Rackmount Switch is currently not in stock and must be ordered on a per-order basis.
According to our experience the article is ready for dispatch within 20 working days. The delivery time usually refers to 1 piece. When ordering larger quantities, we can maybe shorten the delivery time. Just send us an inquiry about the desired quantity of Netgear GS748-100EUS to our sales team for an exact delivery time.
How can I buy the item at a lower price?
We offer you Netgear GS748-100EUS 48-Port Gigabit unmanaged Rackmount Switch always at the best possible price. We can give you a discount of 2% on Netgear GS748-100EUS 48-Port Gigabit unmanaged Rackmount Switch if you choose payment in advance on ordering.
We also offer individual prices for your needs. You can get an offer by using the form Wholesale Inquiry.







